[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TCustomControl.Paint

The default paint handler for the class

## Declaration

Source position: controls.pp line 2011

`protected procedure TCustomControl.Paint; virtual;`

## Description

If using a control derived from this parent, the developer needs to write a specific paint handler to override this one

The latest version of this document can be found at lazarus-ccr.sourceforge.net.